### File

`packages/eui/packages/components-next/src/lib/components/eui-dropdown-button-menu/eui-dropdown-button-menu.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `ControlValueAccessor` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
providers | `EuiDropdownButtonMenuService` `EUI_DROPDOWN_BUTTON_MENU_VALUE_ACCESSOR`
selector | `eui-dropdown-button-menu`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-dropdown-button-menu.component.html`

### Index

###### Properties

- _isDropDownRightAligned
- buttonTriggerRef
- euiButton

###### Methods

- focusButtonTrigger
- generateIconButton
- itemActions
- onClick
- onKeyDown
- onNestedItemSelect
- registerOnChange
- registerOnTouched
- Public setDisabledState
- writeValue

###### Inputs

- isDropDownRightAligned
- isLabelUpdatedFromSelectedItem
- menuItems

###### Outputs

- itemSelect

###### HostBindings

- class

###### Accessors

- isLabelUpdatedFromSelectedItem
- isDropDownRightAligned

### Constructor

`constructor(nestedItemService: EuiDropdownButtonMenuService, router: Router, renderer: Renderer2)`

Parameters :

Name | Type | Optional
nestedItemService | `EuiDropdownButtonMenuService` | No
router | `Router` | No
renderer | `Renderer2` | No

### Inputs

isDropDownRightAligned

isLabelUpdatedFromSelectedItem

menuItems
Type : `EuiDropdownButtonMenuItem[]`

### Outputs

itemSelect
Type : `EventEmitter`

### HostBindings

class

### Methods

focusButtonTrigger
`focusButtonTrigger()`
focuses the button trigger after an item action is performed and the popup closes Returns : `void`

generateIconButton
`generateIconButton(item: EuiDropdownButtonMenuItem)`

Generates an Icon Button when the item passed contains the iconClass attribute

Parameters :

Name | Type | Optional | Description
item | `EuiDropdownButtonMenuItem` | No | The menu item passed

Returns : `void`

itemActions
`itemActions(item: EuiDropdownButtonMenuItem)`

Applies the item's actions performed either on click or on keydown

Parameters :

Name | Type | Optional | Description
item | `EuiDropdownButtonMenuItem` | No | The menu item passed

Returns : `void`

onClick
`onClick(item: EuiDropdownButtonMenuItem)`

Calls the itemActions after an item is clicked

Parameters :

Name | Type | Optional | Description
item | `EuiDropdownButtonMenuItem` | No | The menu item passed

Returns : `void`

onKeyDown
`onKeyDown(event: KeyboardEvent, item: EuiDropdownButtonMenuItem)`

checks the keys pressed and applies corresponding actions

Parameters :

Name | Type | Optional | Description
event | `KeyboardEvent` | No | The key event that is pressed
item | `EuiDropdownButtonMenuItem` | No | The menu item passed

Returns : `void`

onNestedItemSelect
`onNestedItemSelect(item: EuiDropdownButtonMenuItem)`

Passes the nested item to the parent component to apply the item actions

Parameters :

Name | Type | Optional | Description
item | `EuiDropdownButtonMenuItem` | No | The menu item passed

Returns : `void`

registerOnChange
`registerOnChange(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`

Parameters :

Name | Type | Optional
fn | `any` | No

Returns : `void`

Public setDisabledState
`setDisabledState(isDisabled: boolean)`

Parameters :

Name | Type | Optional
isDisabled | `boolean` | No

Returns : `void`

writeValue
`writeValue(item: EuiDropdownButtonMenuItem)`

Parameters :

Name | Type | Optional
item | `EuiDropdownButtonMenuItem` | No

Returns : `void`

### Properties

_isDropDownRightAligned
Default value : `false`

buttonTriggerRef
Type : `ElementRef`
Decorators : `@ContentChild(EuiButtonComponent, {read: ElementRef, static: true})`

euiButton
Type : `EuiButtonComponent`
Decorators : `@ContentChild(EuiButtonComponent, {static: true})`

### Accessors

isLabelUpdatedFromSelectedItem
set `isLabelUpdatedFromSelectedItem(value: any)`

Parameters :

Name | Type | Optional
value | `any` | No

Returns : `void`

isDropDownRightAligned
set `isDropDownRightAligned(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""